"use strict";
exports.__esModule = true;
var moment_1 = require("moment");
/**
 * @param seconds 为数字时，代表时间戳，单位为: s
 * @param rule
 */
var formatTime = function (seconds, rule) {
    if (rule === void 0) { rule = 'YYYY-MM-DD HH:mm:ss'; }
    if (!seconds)
        return '';
    if (typeof seconds === 'number')
        return moment_1["default"](seconds * 1000).format(rule);
    return moment_1["default"](seconds, 'YYYYMMDDHHmmss').format(rule);
};
var isMobile = function () { return /(iPhone|iPad|iPod|iOS|Android)/i.test(window.navigator.userAgent); };
/** 格式化数字为 xxx,xxx,xxx */
var formatNumToThousands = function (num) {
    if (num === undefined || num === null)
        return '';
    return !Number.isNaN(num)
        ? num === null || num === void 0 ? void 0 : num.toString().replace(new RegExp(/(?<=-?\d)(?=(\d{3})+(\.{1}\d+)?$)/, 'g'), ',') : "" + num;
};
var lonersScripts = {
    formatNumToThousands: formatNumToThousands,
    formatTime: formatTime,
    isMobile: isMobile
};
exports["default"] = lonersScripts;
